Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006123TestLinkReports - Test report matrixpublic2013-12-31 17:242014-04-25 17:39
ReporterRvdP2012 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version1.9.10 (2014 Q1 - bug fixing) 
Summary0006123: Showing test results gives invalid index warning in events
DescriptionWhen creating a test results overview, the event-overview shows that an invalid index is used. This is caused by the fact that in the function buildMatrix of resultsTC.php the $lastbuildIndex is used to retrieve the name of the last build. However, this variable does not contain the index of the last build, but the id of the last build.

The attached modified version of resultTC.php fixes this. In the function buildMatrix, it remembers the last build to be able to retrieve the name.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files? file icon resultsTC.php [^] (22,504 bytes) 2013-12-31 17:24

- Relationships
child of 0006048closedfman Availables hot-fixes for 1.9.9 & How To get full fixed package from gitorious 

-  Notes
(0020260)
fman (administrator)
2014-01-01 18:37

thanks for help.
A different solution has been used.
https://gitorious.org/testlink-ga/testlink-code/commit/766f85be83e145586720c347cc7f5cb1123a4068 [^]
(0020863)
fman (administrator)
2014-04-25 17:39

1.9.10 released

- Issue History
Date Modified Username Field Change
2013-12-31 17:24 RvdP2012 New Issue
2013-12-31 17:24 RvdP2012 File Added: resultsTC.php
2014-01-01 18:37 fman Note Added: 0020260
2014-01-01 18:37 fman QA Team - Task Workflow Status => READY FOR TESTING
2014-01-01 18:37 fman Fixed in Version => 1.9.10 (2014 Q1 - bug fixing)
2014-01-01 18:37 fman Relationship added child of 0006048
2014-01-01 18:38 fman Status new => resolved
2014-01-01 18:38 fman Resolution open => fixed
2014-01-01 18:38 fman Assigned To => fman
2014-04-25 17:39 fman Note Added: 0020863
2014-04-25 17:39 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker